#!/bin/bash
podman pod create \
	--name authentik \
	--network slirp4netns:port_handler=slirp4netns
podman run \
	--add-host postgresql:192.168.1.1 \
	--add-host redis:192.168.1.1 \
	--conmon-pidfile /opt/run/authentik-server.pid \
	-d \
	--env-file /opt/podman/env-authentik \
	--name authentik-server \
	--net slirp4netns:port_handler=slirp4netns \
	-p 10030:9000 \
	--pod authentik \
	--restart unless-stopped \
	-v authentik-media:/media \
	-v authentik-templates:/templates \
	ghcr.io/goauthentik/server:2022.4.1 \
	server
podman run \
	--add-host postgresql:192.168.1.1 \
	--conmon-pidfile /opt/run/authentik-worker.pid \
	-d \
	--env-file /opt/podman/env-authentik \
	--name authentik-worker \
	--pod authentik \
	--restart unless-stopped \
	-v authentik-certs:/certs \
	-v authentik-media:/media \
	-v authentik-templates:/templates \
	ghcr.io/goauthentik/server:2022.4.1 \
	worker
